<?php
    if(!defined("CORE_FOLDER")) die();

    $lang           = $module->lang;
    $config         = $module->config;

    Helper::Load(["Money"]);

	$merchant_id          = Filter::init("POST/huf-merchant","hclear");
    $secret_key       	  = Filter::init("POST/huf-secret_key","hclear");
	$sandbox              = (bool) (int) Filter::init("POST/sandbox","numbers");
    $commission_rate      = Filter::init("POST/commission_rate","amount");
    $commission_rate      = str_replace(",",".",$commission_rate);

    $sets = [];

	if($merchant_id != $config["settings"]["huf-merchant"])
        $sets["settings"]["huf-merchant"] = $merchant_id;

    if($secret_key != $config["settings"]["huf-secret-key"])
        $sets["settings"]["huf-secret-key"] = $secret_key;
	
	if($sandbox != $config["settings"]["sandbox"])
        $sets["settings"]["sandbox"] = $sandbox;
	
    if($commission_rate != $config["settings"]["commission_rate"])
        $sets["settings"]["commission_rate"] = $commission_rate;


    if($sets){
        $config_result  = array_replace_recursive($config,$sets);
        $array_export   = Utility::array_export($config_result,['pwith' => true]);

        $file           = dirname(__DIR__).DS."config.php";
        $write          = FileManager::file_write($file,$array_export);

        $adata          = UserManager::LoginData("admin");
        User::addAction($adata["id"],"alteration","changed-payment-module-settings",[
            'module' => $config["meta"]["name"],
            'name'   => $lang["name"],
        ]);
    }

    echo Utility::jencode([
        'status' => "successful",
        'message' => $lang["success1"],
    ]);
